### Method

# Adw Toggle set_label

since: 1.7

#### Declaration [src]

    void
    adw_toggle_set_label (
      AdwToggle* self,
      const char* label
    )

#### Description [src]

Sets the label of `self` to `label`.

The label will be displayed alone or next to the icon, unless `AdwToggle:child` is set, but will still be read out by the screen reader.

Available since: 1.7

Sets property | `Adw.Toggle:label`

#### Parameters

`label`

  Type: `const char*`

  A label.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.